ControllerMapping_t Struct Reference
Collaboration diagram for ControllerMapping_t:
[legend]

## Data Fields

SDL_JoystickGUID | guid
char * | name
char * | mapping
struct _ControllerMapping_t * | next

## Detailed Description

Definition at line 82 of file SDL_gamecontroller.c.

## Field Documentation

SDL_JoystickGUID ControllerMapping_t::guid

Definition at line 84 of file SDL_gamecontroller.c.

Referenced by SDL_GameControllerOpen(), SDL_PrivateAddMappingForGUID(), SDL_PrivateGameControllerRefreshMapping(), and SDL_PrivateGetControllerMappingForGUID().

char* ControllerMapping_t::mapping

Definition at line 86 of file SDL_gamecontroller.c.

Referenced by SDL_GameControllerMappingForGUID(), SDL_GameControllerOpen(), SDL_GameControllerQuit(), SDL_PrivateAddMappingForGUID(), and SDL_PrivateGameControllerRefreshMapping().

char* ControllerMapping_t::name

Definition at line 85 of file SDL_gamecontroller.c.

Referenced by SDL_GameControllerMappingForGUID(), SDL_GameControllerNameForIndex(), SDL_GameControllerOpen(), SDL_GameControllerQuit(), SDL_PrivateAddMappingForGUID(), and SDL_PrivateGameControllerRefreshMapping().

struct _ControllerMapping_t* ControllerMapping_t::next

Definition at line 87 of file SDL_gamecontroller.c.

Referenced by SDL_GameControllerQuit(), SDL_PrivateAddMappingForGUID(), and SDL_PrivateGetControllerMappingForGUID().

The documentation for this struct was generated from the following file:

- src/joystick/SDL_gamecontroller.c